Bug 1019372 - Cluster node selection process do not respect whether the nodes are able to handle the EJB request
Cluster node selection process do not respect whether the nodes are able to h...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.1.0,6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: EAP 6.2.0
Assigned To: David M. Lloyd
Jan Martiska
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 11:07 EDT by wfink
Modified: 2014-10-25 08:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
When a cluster did not have the same EJBs deployed on each node, client EJB invocations were sometimes routed to cluster nodes that did not have the EJBs deployed. This occurred because `ejb-client` did not confirm that a destination node was able to handle the invocation before sending the request. `ejb-client` now performs this confirmation and invocations are routed to the correct nodes as expected.
Story Points: ---
Clone Of:
Environment:
Clustered EJB's
Last Closed: 2014-07-02 04:16:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker EJBCLIENT-93 Major Resolved Cluster node selection process do not respect whether the nodes are able to handle the EJB request 2017-02-07 07:08 EST

  None (edit)
Description wfink 2013-10-15 11:07:32 EDT
If a cluster contains different deployments the cluster node selection process take not into account that the selected node is not able to handle the invocation.
Comment 1 JBoss JIRA Server 2013-10-15 11:08:25 EDT
jaikiran pai <jpai@redhat.com> made a comment on jira EJBCLIENT-93

This should fix it https://github.com/jaikiran/jboss-ejb-client/commit/8746b80db7cc2b5d0ba7448bdff7a84ebcacba67

I'll send a PR.
Comment 2 JBoss JIRA Server 2013-10-15 11:19:54 EDT
jaikiran pai <jpai@redhat.com> made a comment on jira EJBCLIENT-93

Pull requests sent
Comment 5 Dimitris Andreadis 2013-10-24 14:28:21 EDT
Assigning jpai@redhat.com EJB issues to david.lloyd@redhat.com. Please re-assign to Cheng or others as needed.
Comment 6 Scott Mumford 2013-11-25 22:18:41 EST
Added Doc Note draft. Leaving flagged as '?' for verification.
Comment 7 wfink 2013-11-26 02:21:26 EST
From my point of view the doc text was wrong. It is not that the application is not deployed but the ejb-client select a wrong node if the application is intentional not deployed on some nodes which are member of the same cluster.
Comment 10 Jan Martiska 2014-07-02 04:16:22 EDT
This is fixed in EAP 6.2...

Note You need to log in before you can comment on or make changes to this bug.